# $Revision: 1.16 $, $Date: 2009/09/13 15:49:53 $
%define		source_name gmpc-coveramazon
Summary:	Amazon provider plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca dane z Amazona dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-amazon-provider
Version:	0.18.100
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/musicpd/%{source_name}-%{version}.tar.gz
# Source0-md5:	e931181300503930df03d22a64e3ae91
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_COVERAMAZON
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gmpc-devel >= 0.18.100
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	libmpd-devel >= 0.18.100
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin fetches cover art, and album information from Amazon.

%description -l pl.UTF-8
Ta wtyczka pobiera okładkę oraz informacje o albumie z Amazona.

%prep
%setup -q -n %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-amazon-provider.spec,v $
Revision 1.16  2009/09/13 15:49:53  wiget
- updated to 0.18.100

Revision 1.15  2009/03/28 17:34:20  wiget
- updated to 0.18.0

Revision 1.14  2008/12/28 21:59:53  wiget
- 0.17.0

Revision 1.13  2008/12/21 17:58:47  wiget
- updated to 0.16.96

Revision 1.12  2008/02/04 20:22:28  qboosh
- use valid Source0 URL

Revision 1.11  2008-02-04 19:55:17  qboosh
- restored and completed needed BRs, removed unneeded
- sanitized URL

Revision 1.10  2008-02-04 11:03:21  czarny
- BR typos

Revision 1.9  2008-02-04 09:31:51  czarny
- proper d/l URL

Revision 1.8  2008-02-04 09:04:14  czarny
- up to 0.15.5.0

Revision 1.7  2007-05-20 21:28:56  wiget
- updated to 0.15.0

Revision 1.6  2007/02/19 21:28:43  wiget
- updated to 0.14.0

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/12/19 20:50:42  qboosh
- pl, cleanup

Revision 1.2  2006/12/17 22:06:07  wiget
- corect md5 hash

Revision 1.1  2006/12/17 20:43:23  wiget
- new spec (based on gmpc-plugin-autoplaylist.spec)
